<script lang="ts">
import Vue from 'vue';
import { CONTENT_TYPES } from '~/common/content-types';
import {
  convertToCaseSensitiveLocale,
  getUrlFromContentfulImage,
} from '~/common/util';
import { getClient } from '~/plugins/contentful';

export default Vue.extend({
  name: 'TheSourceBanner',
  data() {
    return {
      imageSrc: null,
      imageAlt: '',
    };
  },
  async fetch() {
    const entry = await getClient().getEntries({
      'sys.id': '5s8LYf8hknwuTNMELKqOxa',
      content_type: CONTENT_TYPES.ASSET,
      locale: convertToCaseSensitiveLocale(this.$i18n.locale),
    });

    if (entry.items.length > 0) {
      this.imageSrc = getUrlFromContentfulImage(entry.items[0].fields.image);
      this.imageAlt = entry.items[0].fields.description;
    }
  },
});
</script>

<template>
  <div class="ts-banner">
    <div class="ts-banner__bg" />
    <SlpContainer>
      <SlpButton href="/the-source/" variant="tertiary">
        <img v-if="imageSrc" :src="imageSrc" :alt="imageAlt" />
      </SlpButton>
    </SlpContainer>
  </div>
</template>

<style scoped lang="scss">
.ts-banner {
  position: relative;
  background-color: $color-surface-100;
  overflow: hidden;

  img {
    padding: 0 $spacing-24;
    max-width: 100%;
    width: 357px;

    @media (width > $breakpoint-lg) {
      padding: 0;
    }
  }

  &__bg {
    background: url('/nuxt-images/the-source/the-source-banner-bg.svg');
    width: 100%;
    height: 100px;
    position: absolute;
    background-position: 1000px;
    background-size: 1200px;

    @media (min-width: $breakpoint-sm) {
      background-position: 1380px;
      background-size: unset;
    }

    @media (min-width: $breakpoint-lg + 1) {
      background-position: 1500px;
      background-size: unset;
    }
  }

  .slp-container {
    padding: $spacing-24 0;
    position: relative;
  }
}
</style>
